function GetVersion()
{
	return "net用スクリプトv6+Pink自動20170309版";
}

function BeforeRequest(request_uri, cache_count) {
	var match = request_uri.match(/^(https?:\/\/[^\/]+)\/([^\/]+)\/dat\/(\d+)\.dat$/);
	var html_uri = match[1] + "/test/read.cgi/" + match[2] + "/" + match[3] + "/";
	if (cache_count > 0) {
		html_uri += cache_count + "-";
	}
	use_byte_range = false;
	return html_uri;
}

function AfterRequest() {
	return JSON.stringify({
		func: [
			{	pattern: '<div class="topmenu">',
				DispatchPattern: 'DispatchPatternV6'
			},
			{	pattern: '<ul class="topmenu">',
				DispatchPattern: 'DispatchPatternPink'
			}
		]
	});
}

function DispatchPattern() {
	return JSON.stringify(
		{
			title: {	pattern: "<title>(.+?)<\/title>",
						extract: "$1"
				},
			res: {		pattern: "<dt>(\\d+).*?(?:<a href=\"(.+?)\">(.+?)<\/a>|<font color=green>(.+?)<\/font>)：(.+?)<dd>(.+)<br><br>",
						extract: "$1<>$2<>$3$4<>$5<>$6"
				},
			mail: [{	pattern: "^mailto:",
						replace: ""
				}],
			name: [{	pattern: "<b>(.+)<\/b>",
						replace: "$1"
				}],
			date: [{	pattern: "<a href=\"javascript:be\((\d+)\).+?>\?(.+?)<\/a>",
						replace: "BE:$1-$2"
				}],
			message: [{	pattern: "<a href=\"([^\"]+?)\"[^\>]*?>(.+?)</a>",
						replace: "$2"
					},{	pattern: "(<br> )(?=<br>)",
						replace: "$1"
					},{	pattern: "<img src=\"http:(.+?)\">",
						replace: "sssp:$1"
					}],
			drop: {		pattern: "このスレッドは過去ログ倉庫に格納されています"
				}
		}
	);
}

function DispatchPatternV6() {
	return JSON.stringify(
		{
			title: {	pattern: "<title>(.+?)\\n*<\/title>",
						extract: "$1"
				},
			res: {		pattern: '<div class="post".*?><div class="number">(\\d+).*?</div><div class="name"><b>(?:<a href="(.*?)">)?(.*?)(?:</a>)?</b></div><div class="date">(.*?)</div><div class="message">(.*?)</div></div>',
						extract: "$1<>$2<>$3<>$4<>$5"
				},
			mail: [{	pattern: "^mailto:",
						replace: ""
				}],
			name: [{	pattern: "",
						replace: ""
				}],
			date: [{	pattern: "<a href=\"javascript:be\((\d+)\).+?>\?(.+?)<\/a>",
						replace: "BE:$1-$2"
				}],
			message: [{	pattern: "<a href=\"([^\"]+?)\"[^\>]*?>(.+?)</a>",
						replace: "$2"
					},{	pattern: "(<br> )(?=<br>)",
						replace: "$1"
					},{	pattern: "<img src=\"http:(.+?)\">",
						replace: "sssp:$1"
					}],
			drop: {		pattern: "このスレッドは過去ログ倉庫に格納されています"
				}
		}
	);
}

function DispatchPatternPink() {
	return JSON.stringify(
		{
			title: {	pattern: '<title>(.+?)\\s*\\n*<\/title>',
						extract: '$1'
				},
			res: {		pattern: '<dl class="post".*?>.*?<span class="number">(\\d+).*?</span><span class="name"><b>(?:<a href="(.*?)">)?(.*?)(?:</a>)?</b></span><span class="date">(.*?)</span>.*?<dd class="thread_in">(.*?)</dd></dl>',
						extract: '$1<>$2<>$3<>$4<>$5'
				},
			mail: [{	pattern: '^mailto:',
						replace: ''
				}],
			name: [{	pattern: '',
						replace: ''
				}],
			date: [{	pattern: '<a href=\"javascript:be\((\\d+)\).+?>\?(.+?)<\/a>',
						replace: 'BE:$1-$2'
				}],
			message: [{	pattern: '<a href=\"([^\"]+?)\"[^\>]*?>(.+?)</a>',
						replace: '$2'
					},{	pattern: '(<br> )(?=<br>)',
						replace: "$1"
					},{	pattern: '<img src=\"http:(.+?)\">',
						replace: 'sssp:$1'
					}],
			drop: {		pattern: 'このスレッドは過去ログ倉庫に格納されています'
				}
		}
	);
}
